apexdata=work_dir+'apexdata/'

restore, apexdata+'obslogs/apex_obslog.xdr', /verb

id_skydip = where(apexlog_struct.type eq 'SKYDIP' and apexlog_struct.projectid eq 'E-091.C-0870A-2013' and strmid(apexlog_struct.date,0,4) eq '2014' , sky_count)

tau_sky = fltarr(n_elements(id_skydip))
tau_sky_err = fltarr(n_elements(id_skydip))
tau_sky_1 = fltarr(n_elements(id_skydip))
offset = fltarr(n_elements(id_skydip))
asky = fltarr(n_elements(id_skydip))


for i = 0, n_elements(id_skydip)-1 do begin $
& tau_0 = 0 & tau_err = 0 & tau_1 = 0 $
& basic_files = findfile(apexdata+'basic_xdr/*'+strtrim(string(apexlog_struct(id_skydip(i)).number),1)+'*.xdr', count=n_files) $
& if n_files eq 6 and apexlog_struct(id_skydip(i)).skydip.mode eq 'RAS' then noise_fft_skydip, apexlog_struct(id_skydip(i)).number, sky_str, /nopowermap, tau_0=tau_0, tau_err=tau_err, tau_1=tau_1, off=off, sky=sky $
& if n_files eq 1 and apexlog_struct(id_skydip(i)).skydip.mode eq 'OTF' then continuous_skydip, apexlog_struct(id_skydip(i)).number, /nopowermap, tau_0=tau_0, tau_err=tau_err, tau_1=tau_1, off=off, sky=sky $
& tau_sky(i) = tau_0 & tau_sky_err(i) = tau_err & tau_sky_1(i) = tau_1 & offset(i) = off & asky(i) = sky & $
endfor

plot, tau_sky, offset/asky, psym = +1
print, median(offset/asky)  	    	;  -0.961435


for i = 0, n_elements(id_skydip)-1 do begin $
& print, "Skydip_number: ", apexlog_struct(id_skydip(i)).number, "   Observing date: ", apexlog_struct(id_skydip(i)).date, "   PWV (mm): ", apexlog_struct(id_skydip(i)).pwv, " tau = ", tau_sky(i), "+- ", tau_sky_err(i) & $
endfor

ind_sky_good = where(tau_sky ne 0 and tau_sky lt 3)

plot, apexlog_struct(id_skydip(ind_sky_good)).pwv, tau_sky(ind_sky_good), psym=+1, xrange=[0.,1.5], xtitle = "PWV (mm)", ytitle = "Tau (skydip) at zenith"

lin_coeff = linfit(apexlog_struct(id_skydip(ind_sky_good)).pwv, tau_sky(ind_sky_good), prob=proba, yfit=tau_fit, sigma=sigma_coeff, covar=cov_coeff, chisq=chi2)

oplot, findgen(16)/10., lin_coeff(0)+lin_coeff(1)*findgen(16)/10., color = 130

print, lin_coeff    	    	    	    	    	    	    	    	    ;   0.341146+-0.0886746 (tau for pwv=0)    1.30673+-0.139043 (scaling factor)
